curl --request GET \
--url https://dev.intermezzo.ai/gb/organizations/{organization_id}/payrolls/{payroll_status_id}/tasks/payroll-calculation/latest/results \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": 123,
"status": "<string>",
"data": {
"employeeId": "<string>",
"currentPayPeriod": {
"employee": {
"totals": {
"grossWages": "0.00",
"netWages": "0.00",
"totalDeductions": "0.00",
"totalReimbursements": "0.00",
"netPay": "0.00"
},
"benefits": {
"benefitsInKind": "0.00"
},
"taxes": {
"incomeTaxAssessmentBase": "0.00",
"incomeTax": "0.00"
},
"insurance": {
"insuranceAssessmentBase": "0.00",
"nationalInsurance": "0.00"
},
"deductions": [
{
"name": "<string>",
"amount": "0.00"
}
],
"reimbursements": [
{
"name": "<string>",
"amount": "0.00"
}
]
},
"employer": {
"secondaryClass1Nic": "0.00",
"class1ANic": "0.00",
"employerPensionContribution": "0.00"
}
},
"paymentPeriod": "MONTH",
"executionHistory": [
{
"flow": "<string>",
"node": "<string>"
}
]
}
}
],
"pagination": {
"limit": 123,
"hasNext": false,
"hasPrev": false,
"nextCursor": "<string>",
"prevCursor": "<string>",
"total": 0
}
}curl --request GET \
--url https://dev.intermezzo.ai/gb/organizations/{organization_id}/payrolls/{payroll_status_id}/tasks/payroll-calculation/latest/results \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": 123,
"status": "<string>",
"data": {
"employeeId": "<string>",
"currentPayPeriod": {
"employee": {
"totals": {
"grossWages": "0.00",
"netWages": "0.00",
"totalDeductions": "0.00",
"totalReimbursements": "0.00",
"netPay": "0.00"
},
"benefits": {
"benefitsInKind": "0.00"
},
"taxes": {
"incomeTaxAssessmentBase": "0.00",
"incomeTax": "0.00"
},
"insurance": {
"insuranceAssessmentBase": "0.00",
"nationalInsurance": "0.00"
},
"deductions": [
{
"name": "<string>",
"amount": "0.00"
}
],
"reimbursements": [
{
"name": "<string>",
"amount": "0.00"
}
]
},
"employer": {
"secondaryClass1Nic": "0.00",
"class1ANic": "0.00",
"employerPensionContribution": "0.00"
}
},
"paymentPeriod": "MONTH",
"executionHistory": [
{
"flow": "<string>",
"node": "<string>"
}
]
}
}
],
"pagination": {
"limit": 123,
"hasNext": false,
"hasPrev": false,
"nextCursor": "<string>",
"prevCursor": "<string>",
"total": 0
}
}Get token from Auth0 and paste it here
success, failed 1 <= x <= 100Was this page helpful?